Merge branch '4.next'
authorJeremy Harris <jgh146exb@wizmail.org>
Tue, 19 Dec 2017 22:14:18 +0000 (22:14 +0000)
committerJeremy Harris <jgh146exb@wizmail.org>
Tue, 19 Dec 2017 22:14:18 +0000 (22:14 +0000)
1  2 
doc/doc-docbook/spec.xfpt
doc/doc-txt/ChangeLog
doc/doc-txt/NewStuff
src/src/receive.c
src/src/tls-openssl.c
test/confs/5860

@@@ -17116,7 -17139,9 +17116,8 @@@ separator in the usual way to avoid con
  &*Note*&: Under current versions of OpenSSL, when a list of more than one
  file is used, the &$tls_in_ourcert$& veriable is unreliable.
  
- &*Note*&: OCSP stapling is not usable when a list of more than one file is used.
+ &*Note*&: OCSP stapling is not usable under OpenSSL
+ when a list of more than one file is used.
 -.wen
  
  If the option contains &$tls_out_sni$& and Exim is built against OpenSSL, then
  if the OpenSSL build supports TLS extensions and the TLS client sends the
@@@ -5,6 -5,14 +5,14 @@@ affect Exim's operation, with an unchan
  options, and new features, see the NewStuff file next to this ChangeLog.
  
  
 -Exim version 4.next
++Exim version 4.91
+ -----------------
+ JH/01 Replace the store_release() internal interface with store_newblock(),
+       which internalises the check required to safely use the old one, plus
+       the allocate and data copy operations duplicated in both (!) of the
+       extant use locations.
  Exim version 4.90
  -----------------
  
@@@ -6,6 -6,16 +6,16 @@@ Before a formal release, there may be q
  test from the snapshots or the Git before the documentation is updated. Once
  the documentation is updated, this file is reduced to a short list.
  
 -Version 4.next
++Version 4.91
+ --------------
+  1. Dual-certificate stacks on servers now support OCSP stapling, under GnuTLS
+     version 3.5.6 or later.
+  2. DANE is now supported under GnuTLS version 3.0.0 or later (adding to the
+     previous OpenSSL implementation, but still Experimental).
  Version 4.90
  ------------
  
Simple merge
Simple merge
diff --cc test/confs/5860
Simple merge